<!DOCTYPE html>
<html lang="en" xmlns:th="www.http://thymeleaf.org">
<link rel="stylesheet" th:href="@{/style/css/bootstrap.css}">
<link rel="stylesheet" th:href="@{/style/css/fonts-awesome.min.css}">
<link rel="stylesheet" th:href="@{/style/css/main.css}">

<head>
    <meta charset="UTF-8">
    <title>Корзина</title>

    <meta name="_csrf" th:content="${_csrf.token}"/>
    <meta name="_csrf_header" th:content="${_csrf.headerName}"/>

</head>
<body>
<div class="include" th:include="/navbar :: content"></div>

<div th:if="${cart == null}">
    <h1>Корзина пуста, начните покупать!</h1>
</div>
    <div th:if="${cart != null}">
            <table class="table table-hover">
                <thead>
                <tr>
                    <th scope="col">Наименование</th>
                    <th scope="col">Количество</th>
                    <th scope="col">Стоимость</th>
                    <th scope="col">Удалить</th>
                </tr>
                </thead>
                <tbody>
                <th:block th:each="order : ${cart}">
                    <tr scope="row">
                        <td><h2 th:text="${order.key.name}"></h2></td>
                        <td>
                            <div class="div1">
                                <button class="buttons-bag" name="productIdToPlus" th:attr="data-id=${order.key.id}" onclick="plusProductInCart(this)">+
                                </button>
                            </div>
                            <div class="div1" th:text="${order.value}"></div>
                            <div class="div1">
                                <button class="buttons-bag" name="productIdToMinus" th:attr="data-id=${order.key.id}" onclick="minusProductInCart(this)">-
                                </button>
                            </div>
                        </td>
                        <td th:text="${order.value * order.key.cost} + 'р.'"></td>
                        <td>

                            <button class="buttons" name="productIdToRemove" th:attr="data-id=${order.key.id}" onclick="deleteCartItemFromCart(this)">Удалить
                            </button>

                        </td>
                    </tr>
                </th:block>
                </tbody>
            </table>
        <form method="get">
            <div th:if="${generalCost != 0}">
                <h1>Общая стоимость: [[${generalCost}]]р.</h1>
                <button type="submit" class="buttons" name="cart"
                        th:formaction="@{/order/get}">Оформить заказ
                </button>
            </div>
            <div th:if="${generalCost == 0}">
                <h1>Корзина пуста, начните покупать!</h1>
            </div>
        </form>
    </div>
</div>
<script src="/style/js/cart.js"></script>
</body>
</html>






